Debian Bug report logs - #548594
ITA: libplist -- Library for handling apple binary and XML property lists

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Bradley Smith <bradsmith@debian.org>

Date: Sun, 27 Sep 2009 14:24:05 UTC

Owned by: Julien Lavergne <julien.lavergne@gmail.com>

Severity: normal

Fixed in version libplist/0.16-1

Done: Julien Lavergne <julien.lavergne@gmail.com>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#548594; Package wnpp. (Sun, 27 Sep 2009 14:24:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Bradley Smith <bradsmith@debian.org>:
New Bug report received and forwarded. Copy sent to <wnpp@debian.org>. (Sun, 27 Sep 2009 14:24:08 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Bradley Smith <bradsmith@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: O: libplist -- Library for handling apple binary and XML property lists
Date: Sun, 27 Sep 2009 15:05:16 +0100
Package: wnpp
Severity: normal

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

I intend to orphan the libplist package.

The package description is:
 libplist is a library for reading and writing the apple binary and XML
 property lists format.
 .
 This package contains the development files.

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAkq/cRoACgkQj3BimscY00eNwQCcCMcn7jwSHPToQz2OWa5YemuP
uWIAnjIkvHl0h6RMQzMfKth2HXaQIcC3
=T4PL
-----END PGP SIGNATURE-----




Changed Bug title to 'ITA: libplist -- Library for handling apple binary and XML property lists' from 'O: libplist -- Library for handling apple binary and XML property lists' Request was from Julien Lavergne <julien.lavergne@gmail.com> to control@bugs.debian.org. (Sun, 27 Sep 2009 22:12:11 GMT) Full text and rfc822 format available.

Owner recorded as Julien Lavergne <julien.lavergne@gmail.com>. Request was from Julien Lavergne <julien.lavergne@gmail.com> to control@bugs.debian.org. (Sun, 27 Sep 2009 22:12:12 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Julien Lavergne <julien.lavergne@gmail.com>:
Bug#548594; Package wnpp. (Sun, 22 Nov 2009 19:48:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien BLACHE <jblache@debian.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Julien Lavergne <julien.lavergne@gmail.com>. (Sun, 22 Nov 2009 19:48:03 GMT) Full text and rfc822 format available.

Message #14 received at 548594@bugs.debian.org (full text, mbox):

From: Julien BLACHE <jblache@debian.org>
To: 548594@bugs.debian.org
Cc: julien.lavergne@gmail.com
Subject: libplist adoption
Date: Sun, 22 Nov 2009 20:41:12 +0100
Hi,

You ITAed libplist back in september; what's the current status of this
ITA?

libplist gained quite a few interesting and useful features (like
iterators for dicts and arrays) recently, and it'd be nice to see a
newer version land in Debian.

If you need a sponsor for libplist (and related packages), I'd be happy
to help.

Thanks,

JB.

-- 
 Julien BLACHE <jblache@debian.org>  |  Debian, because code matters more 
 Debian & GNU/Linux Developer        |       <http://www.debian.org>
 Public key available on <http://www.jblache.org> - KeyID: F5D6 5169 
 GPG Fingerprint : 935A 79F1 C8B3 3521 FD62 7CC7 CD61 4FD7 F5D6 5169 




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#548594; Package wnpp. (Sun, 22 Nov 2009 20:06:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Lavergne <julien.lavergne@gmail.com>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. (Sun, 22 Nov 2009 20:06:06 GMT) Full text and rfc822 format available.

Message #19 received at 548594@bugs.debian.org (full text, mbox):

From: Julien Lavergne <julien.lavergne@gmail.com>
To: Julien BLACHE <jblache@debian.org>
Cc: 548594@bugs.debian.org
Subject: Re: libplist adoption
Date: Sun, 22 Nov 2009 14:02:47 -0600
Hi,

Thanks. I have a package in mentors which should be quite ready. But, I was not able to test a build on Debian or test the lintian result recently. I will be able to complete the tests in a few days.

Regards,
Julien Lavergne

On Sun, 22 Nov 2009 20:41:12 +0100
Julien BLACHE <jblache@debian.org> wrote:

> Hi,
> 
> You ITAed libplist back in september; what's the current status of this
> ITA?
> 
> libplist gained quite a few interesting and useful features (like
> iterators for dicts and arrays) recently, and it'd be nice to see a
> newer version land in Debian.
> 
> If you need a sponsor for libplist (and related packages), I'd be happy
> to help.
> 
> Thanks,
> 
> JB.
> 
> -- 
>  Julien BLACHE <jblache@debian.org>  |  Debian, because code matters more 
>  Debian & GNU/Linux Developer        |       <http://www.debian.org>
>  Public key available on <http://www.jblache.org> - KeyID: F5D6 5169 
>  GPG Fingerprint : 935A 79F1 C8B3 3521 FD62 7CC7 CD61 4FD7 F5D6 5169 


-- 
Julien Lavergne <julien.lavergne@gmail.com>




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Julien Lavergne <julien.lavergne@gmail.com>:
Bug#548594; Package wnpp. (Fri, 27 Nov 2009 09:12:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to fabo@debian.org:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Julien Lavergne <julien.lavergne@gmail.com>. (Fri, 27 Nov 2009 09:12:09 GMT) Full text and rfc822 format available.

Message #24 received at 548594@bugs.debian.org (full text, mbox):

From: Fathi Boudra <fabo@debian.org>
To: Julien Lavergne <julien.lavergne@gmail.com>
Cc: Julien BLACHE <jblache@debian.org>, 548594@bugs.debian.org
Subject: Re: libplist adoption
Date: Fri, 27 Nov 2009 10:06:56 +0100
Hi,

Could you keep me in the loop ? I'm interested by the ifuse/libiphone
stack to hack on my iphone 3gs.

cheers,

Fathi




Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Fri, 27 Nov 2009 19:06:07 GMT) Full text and rfc822 format available.

Reply sent to Julien Lavergne <julien.lavergne@gmail.com>:
You have taken responsibility. (Sat, 28 Nov 2009 16:36:16 GMT) Full text and rfc822 format available.

Notification sent to Bradley Smith <bradsmith@debian.org>:
Bug acknowledged by developer. (Sat, 28 Nov 2009 16:36:16 GMT) Full text and rfc822 format available.

Message #31 received at 548594-close@bugs.debian.org (full text, mbox):

From: Julien Lavergne <julien.lavergne@gmail.com>
To: 548594-close@bugs.debian.org
Subject: Bug#548594: fixed in libplist 0.16-1
Date: Sat, 28 Nov 2009 16:32:17 +0000
Source: libplist
Source-Version: 0.16-1

We believe that the bug you reported is fixed in the latest version of
libplist, which is due to be installed in the Debian FTP archive:

libplist++-dev_0.16-1_amd64.deb
  to main/libp/libplist/libplist++-dev_0.16-1_amd64.deb
libplist++0_0.16-1_amd64.deb
  to main/libp/libplist/libplist++0_0.16-1_amd64.deb
libplist-dbg_0.16-1_amd64.deb
  to main/libp/libplist/libplist-dbg_0.16-1_amd64.deb
libplist-dev_0.16-1_amd64.deb
  to main/libp/libplist/libplist-dev_0.16-1_amd64.deb
libplist-utils_0.16-1_amd64.deb
  to main/libp/libplist/libplist-utils_0.16-1_amd64.deb
libplist0_0.16-1_amd64.deb
  to main/libp/libplist/libplist0_0.16-1_amd64.deb
libplist_0.16-1.diff.gz
  to main/libp/libplist/libplist_0.16-1.diff.gz
libplist_0.16-1.dsc
  to main/libp/libplist/libplist_0.16-1.dsc
libplist_0.16.orig.tar.gz
  to main/libp/libplist/libplist_0.16.orig.tar.gz
python-plist_0.16-1_amd64.deb
  to main/libp/libplist/python-plist_0.16-1_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 548594@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Julien Lavergne <julien.lavergne@gmail.com> (supplier of updated libplist package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sun, 22 Nov 2009 13:51:02 -0600
Source: libplist
Binary: libplist0 libplist++0 libplist-dev libplist++-dev libplist-dbg python-plist libplist-utils
Architecture: source amd64
Version: 0.16-1
Distribution: unstable
Urgency: low
Maintainer:  Julien Lavergne <julien.lavergne@gmail.com>
Changed-By: Julien Lavergne <julien.lavergne@gmail.com>
Description: 
 libplist++-dev - Library for handling Apple binary and XML property lists
 libplist++0 - Library for handling Apple binary and XML property lists
 libplist-dbg - Library for handling Apple binary and XML property lists
 libplist-dev - Library for handling Apple binary and XML property lists
 libplist-utils - Apple property list converter
 libplist0  - Library for handling Apple binary and XML property lists
 python-plist - Library for handling Apple binary and XML property lists
Closes: 530590 548594 557554 557822
Changes: 
 libplist (0.16-1) unstable; urgency=low
 .
   * Adopt the package. Thanks Bradley Smith for his work. (Closes: #548594)
   * New upstream release (Closes: #557554).
   * debian/control:
    - Add libplist++{0,-dev} binaries for the new library.
    - Bump Standards-Version to 3.8.3, no changes needed.
    - Build-depends on python-all-dev
    - Switch to python-support.
    - Add Conflicts/Replace for -dev packages, some headers moved to the new
      library.
    - Remove Vcs-* field.
    - Bump minimum version of swig to >= 1.3.36
    - Change name of the -dbg package, it contains debug symbols for the 2
      libraries.
    - Avoid dupplicated Descriptions field.
    - Add a more verbose extended description (Closes: #530590)
   * debian/*.install: Reorganize with the new library.
   * debian/python-plist.install
    - Replace site-packages by *-packages for python 2.6 migration.
      (Closes: #557822)
   * debian/rules & python-plist.preinst:
    - Switch to python-support and remove previous installed files by
      python-central.
   * debian/plist.1 & debian/libplist-utils.man: Add a man page for plist.
Checksums-Sha1: 
 36d8b7322c8a3e613fe7c92a170a87af4e020451 1205 libplist_0.16-1.dsc
 d286f3d92685a2d6e2a880cb8b76fb8f42d7c5c8 105801 libplist_0.16.orig.tar.gz
 2c2235e831b15bce000bf5a084056bba4d5792da 4143 libplist_0.16-1.diff.gz
 8df742b3c01713a60836e16daabd85be4088f8e0 19076 libplist0_0.16-1_amd64.deb
 0fd704112bd89c8b1b302b40b82a73d42bace1b0 24360 libplist++0_0.16-1_amd64.deb
 0eae0300790ab421e31e27efc28e8d0ab765b4b7 7580 libplist-dev_0.16-1_amd64.deb
 d90d5ab704d7cc5c9a382690242d71a043ebd109 9466 libplist++-dev_0.16-1_amd64.deb
 fee3cb7649af28bd0543541200a25d5dfcad300b 284292 libplist-dbg_0.16-1_amd64.deb
 bcea9c3ae823ce0e3ad4daf41ae6bd0cbb93fe71 83192 python-plist_0.16-1_amd64.deb
 abb7a187640fcf326cb35c0e32d37715c6bbe91b 7254 libplist-utils_0.16-1_amd64.deb
Checksums-Sha256: 
 54dcac6f8748264ed45908d7ffb03d8bc6ecf1e2f010aa046d3c68aab9eea173 1205 libplist_0.16-1.dsc
 73491e79a3a04ecb2c8e9522280fab72d9bb205c0e35523182b0316c371e717c 105801 libplist_0.16.orig.tar.gz
 1bf9be0eadacdbfb1634204f6a7e7b54ce4cc4838110c51b8c57b0bfda6c1b92 4143 libplist_0.16-1.diff.gz
 8ecb0f6da1b748025db196807c9c21763f68548a7be3fddcd52a2b878be80e16 19076 libplist0_0.16-1_amd64.deb
 4d2727ff1227e4e5730e95d373c3720c027a9cf45c63daa356b1f903ddec41c4 24360 libplist++0_0.16-1_amd64.deb
 3853a2922c0e1c16365719f91a23008435c22b3f8cb9f5b407c84d546dcf0e3d 7580 libplist-dev_0.16-1_amd64.deb
 cf59e492ee3ffaa7452574a30a0ed40c93e73fdc50f458820d7292ca86d9ce3a 9466 libplist++-dev_0.16-1_amd64.deb
 eb2fb5d003f54af85a42d8db278715c074f0a40a08df3f0cd0188cff2a271424 284292 libplist-dbg_0.16-1_amd64.deb
 d53a52b505d2198dc040a8ee43e53fa7d3617836f3e1dc3ff173509fe1499ec8 83192 python-plist_0.16-1_amd64.deb
 b4ae7ecffbd68f0e0d9dcff2ef10e7926a112c26a39cca4b88d684a8632cca04 7254 libplist-utils_0.16-1_amd64.deb
Files: 
 9c3cb1e4371cf2ff55e8a182bbdf6420 1205 libs optional libplist_0.16-1.dsc
 b556866b6ae24609a3e402588291a38e 105801 libs optional libplist_0.16.orig.tar.gz
 315d4860c6eb127f6aedaa3815c48137 4143 libs optional libplist_0.16-1.diff.gz
 180361e37a8c0ad77ba282645d119c7e 19076 libs optional libplist0_0.16-1_amd64.deb
 a17e1c0126648186ada2e2e6b54fabec 24360 libs optional libplist++0_0.16-1_amd64.deb
 130acba90c1e3b519af6cd512c1f5bf8 7580 libdevel optional libplist-dev_0.16-1_amd64.deb
 0b508d77b3bc8036fee21b8f19f0bd42 9466 libdevel optional libplist++-dev_0.16-1_amd64.deb
 523c97720118c762ef93b830b89e16bd 284292 debug extra libplist-dbg_0.16-1_amd64.deb
 ae7964884ab7d8e0eaf1763262e8af54 83192 python optional python-plist_0.16-1_amd64.deb
 2dc3f13ff795145ce7070ec4b8be4b00 7254 utils optional libplist-utils_0.16-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iD8DBQFLEBR2zWFP1/XWUWkRAquZAKCvE/OF517SRC4u987CoJXVA+C8gACgmhbI
IO2ItRy44VXPgI2kZ9PY2xs=
=2e9Y
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 27 Dec 2009 07:44:40 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 05:38:51 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.